Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Model

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Model

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Model

extends Object

The `<project>` element is the root of the descriptor. The following table lists all of the possible child elements.

Java class for Model complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Model">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="parent" type="{http://maven.apache.org/POM/4.0.0}Parent" minOccurs="0"/>
             <element name="modelVersion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="packaging" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="prerequisites" type="{http://maven.apache.org/POM/4.0.0}Prerequisites" minOccurs="0"/>
             <element name="issueManagement" type="{http://maven.apache.org/POM/4.0.0}IssueManagement" minOccurs="0"/>
             <element name="ciManagement" type="{http://maven.apache.org/POM/4.0.0}CiManagement" minOccurs="0"/>
             <element name="inceptionYear" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="mailingLists" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="mailingList" type="{http://maven.apache.org/POM/4.0.0}MailingList" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="developers" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="developer" type="{http://maven.apache.org/POM/4.0.0}Developer" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="contributors" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="contributor" type="{http://maven.apache.org/POM/4.0.0}Contributor" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="licenses" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="license" type="{http://maven.apache.org/POM/4.0.0}License" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="scm" type="{http://maven.apache.org/POM/4.0.0}Scm" minOccurs="0"/>
             <element name="organization" type="{http://maven.apache.org/POM/4.0.0}Organization" minOccurs="0"/>
             <element name="build" type="{http://maven.apache.org/POM/4.0.0}Build" minOccurs="0"/>
             <element name="profiles" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="profile" type="{http://maven.apache.org/POM/4.0.0}Profile" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="modules" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="module" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="repositories" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="repository" type="{http://maven.apache.org/POM/4.0.0}Repository" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="pluginRepositories" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="pluginRepository" type="{http://maven.apache.org/POM/4.0.0}Repository" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="dependencies" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="dependency" type="{http://maven.apache.org/POM/4.0.0}Dependency" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="reports" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="reporting" type="{http://maven.apache.org/POM/4.0.0}Reporting" minOccurs="0"/>
             <element name="dependencyManagement" type="{http://maven.apache.org/POM/4.0.0}DependencyManagement" minOccurs="0"/>
             <element name="distributionManagement" type="{http://maven.apache.org/POM/4.0.0}DistributionManagement" minOccurs="0"/>
             <element name="properties" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Model.Contributors` Java class for anonymous complex type.
`static class` | `Model.Dependencies` Java class for anonymous complex type.
`static class` | `Model.Developers` Java class for anonymous complex type.
`static class` | `Model.Licenses` Java class for anonymous complex type.
`static class` | `Model.MailingLists` Java class for anonymous complex type.
`static class` | `Model.Modules` Java class for anonymous complex type.
`static class` | `Model.PluginRepositories` Java class for anonymous complex type.
`static class` | `Model.Profiles` Java class for anonymous complex type.
`static class` | `Model.Properties` Java class for anonymous complex type.
`static class` | `Model.Reports` Java class for anonymous complex type.
`static class` | `Model.Repositories` Java class for anonymous complex type.

Field Summary
`protected String` | `artifactId`
`protected Build` | `build`
`protected CiManagement` | `ciManagement`
`protected Model.Contributors` | `contributors`
`protected Model.Dependencies` | `dependencies`
`protected DependencyManagement` | `dependencyManagement`
`protected String` | `description`
`protected Model.Developers` | `developers`
`protected DistributionManagement` | `distributionManagement`
`protected String` | `groupId`
`protected String` | `inceptionYear`
`protected IssueManagement` | `issueManagement`
`protected Model.Licenses` | `licenses`
`protected Model.MailingLists` | `mailingLists`
`protected String` | `modelVersion`
`protected Model.Modules` | `modules`
`protected String` | `name`
`protected Organization` | `organization`
`protected String` | `packaging`
`protected Parent` | `parent`
`protected Model.PluginRepositories` | `pluginRepositories`
`protected Prerequisites` | `prerequisites`
`protected Model.Profiles` | `profiles`
`protected Model.Properties` | `properties`
`protected Reporting` | `reporting`
`protected Model.Reports` | `reports`
`protected Model.Repositories` | `repositories`
`protected Scm` | `scm`
`protected String` | `url`
`protected String` | `version`

Constructor Summary
`Model()`

Method Summary
`String` | `getArtifactId()` Gets the value of the artifactId property.
`Build` | `getBuild()` Gets the value of the build property.
`CiManagement` | `getCiManagement()` Gets the value of the ciManagement property.
`Model.Contributors` | `getContributors()` Gets the value of the contributors property.
`Model.Dependencies` | `getDependencies()` Gets the value of the dependencies property.
`DependencyManagement` | `getDependencyManagement()` Gets the value of the dependencyManagement property.
`String` | `getDescription()` Gets the value of the description property.
`Model.Developers` | `getDevelopers()` Gets the value of the developers property.
`DistributionManagement` | `getDistributionManagement()` Gets the value of the distributionManagement property.
`String` | `getGroupId()` Gets the value of the groupId property.
`String` | `getInceptionYear()` Gets the value of the inceptionYear property.
`IssueManagement` | `getIssueManagement()` Gets the value of the issueManagement property.
`Model.Licenses` | `getLicenses()` Gets the value of the licenses property.
`Model.MailingLists` | `getMailingLists()` Gets the value of the mailingLists property.
`String` | `getModelVersion()` Gets the value of the modelVersion property.
`Model.Modules` | `getModules()` Gets the value of the modules property.
`String` | `getName()` Gets the value of the name property.
`Organization` | `getOrganization()` Gets the value of the organization property.
`String` | `getPackaging()` Gets the value of the packaging property.
`Parent` | `getParent()` Gets the value of the parent property.
`Model.PluginRepositories` | `getPluginRepositories()` Gets the value of the pluginRepositories property.
`Prerequisites` | `getPrerequisites()` Gets the value of the prerequisites property.
`Model.Profiles` | `getProfiles()` Gets the value of the profiles property.
`Model.Properties` | `getProperties()` Gets the value of the properties property.
`Reporting` | `getReporting()` Gets the value of the reporting property.
`Model.Reports` | `getReports()` Gets the value of the reports property.
`Model.Repositories` | `getRepositories()` Gets the value of the repositories property.
`Scm` | `getScm()` Gets the value of the scm property.
`String` | `getUrl()` Gets the value of the url property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setArtifactId(String value)` Sets the value of the artifactId property.
`void` | `setBuild(Build value)` Sets the value of the build property.
`void` | `setCiManagement(CiManagement value)` Sets the value of the ciManagement property.
`void` | `setContributors(Model.Contributors value)` Sets the value of the contributors property.
`void` | `setDependencies(Model.Dependencies value)` Sets the value of the dependencies property.
`void` | `setDependencyManagement(DependencyManagement value)` Sets the value of the dependencyManagement property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setDevelopers(Model.Developers value)` Sets the value of the developers property.
`void` | `setDistributionManagement(DistributionManagement value)` Sets the value of the distributionManagement property.
`void` | `setGroupId(String value)` Sets the value of the groupId property.
`void` | `setInceptionYear(String value)` Sets the value of the inceptionYear property.
`void` | `setIssueManagement(IssueManagement value)` Sets the value of the issueManagement property.
`void` | `setLicenses(Model.Licenses value)` Sets the value of the licenses property.
`void` | `setMailingLists(Model.MailingLists value)` Sets the value of the mailingLists property.
`void` | `setModelVersion(String value)` Sets the value of the modelVersion property.
`void` | `setModules(Model.Modules value)` Sets the value of the modules property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOrganization(Organization value)` Sets the value of the organization property.
`void` | `setPackaging(String value)` Sets the value of the packaging property.
`void` | `setParent(Parent value)` Sets the value of the parent property.
`void` | `setPluginRepositories(Model.PluginRepositories value)` Sets the value of the pluginRepositories property.
`void` | `setPrerequisites(Prerequisites value)` Sets the value of the prerequisites property.
`void` | `setProfiles(Model.Profiles value)` Sets the value of the profiles property.
`void` | `setProperties(Model.Properties value)` Sets the value of the properties property.
`void` | `setReporting(Reporting value)` Sets the value of the reporting property.
`void` | `setReports(Model.Reports value)` Sets the value of the reports property.
`void` | `setRepositories(Model.Repositories value)` Sets the value of the repositories property.
`void` | `setScm(Scm value)` Sets the value of the scm property.
`void` | `setUrl(String value)` Sets the value of the url property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Parent parent

### modelVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String modelVersion

### groupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String groupId

### artifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String artifactId

### packaging

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String packaging

### name

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String name

### version

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String version

### description

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String description

### url

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String url

### prerequisites

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Prerequisites prerequisites

### issueManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected IssueManagement issueManagement

### ciManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected CiManagement ciManagement

### inceptionYear

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String inceptionYear

### mailingLists

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.MailingLists mailingLists

### developers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Developers developers

### contributors

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Contributors contributors

### licenses

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Licenses licenses

### scm

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Scm scm

### organization

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Organization organization

### build

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build build

### profiles

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Profiles profiles

### modules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Modules modules

### repositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Repositories repositories

### pluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.PluginRepositories pluginRepositories

### dependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Dependencies dependencies

### reports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Reports reports

### reporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Reporting reporting

### dependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DependencyManagement dependencyManagement

### distributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DistributionManagement distributionManagement

### properties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Model.Properties properties

Constructor Detail

### Model

    public Model()

Method Detail

### getParent

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Parent getParent()

  Gets the value of the parent property.

  Returns:
    possible object is `Parent`

### setParent

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setParent(Parent value)

  Sets the value of the parent property.

  Parameters:
    `value` - allowed object is `Parent`

### getModelVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getModelVersion()

  Gets the value of the modelVersion property.

  Returns:
    possible object is `String`

### setModelVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setModelVersion(String value)

  Sets the value of the modelVersion property.

  Parameters:
    `value` - allowed object is `String`

### getGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getGroupId()

  Gets the value of the groupId property.

  Returns:
    possible object is `String`

### setGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGroupId(String value)

  Sets the value of the groupId property.

  Parameters:
    `value` - allowed object is `String`

### getArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArtifactId()

  Gets the value of the artifactId property.

  Returns:
    possible object is `String`

### setArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArtifactId(String value)

  Sets the value of the artifactId property.

  Parameters:
    `value` - allowed object is `String`

### getPackaging

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getPackaging()

  Gets the value of the packaging property.

  Returns:
    possible object is `String`

### setPackaging

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPackaging(String value)

  Sets the value of the packaging property.

  Parameters:
    `value` - allowed object is `String`

### getName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getPrerequisites

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Prerequisites getPrerequisites()

  Gets the value of the prerequisites property.

  Returns:
    possible object is `Prerequisites`

### setPrerequisites

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPrerequisites(Prerequisites value)

  Sets the value of the prerequisites property.

  Parameters:
    `value` - allowed object is `Prerequisites`

### getIssueManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public IssueManagement getIssueManagement()

  Gets the value of the issueManagement property.

  Returns:
    possible object is `IssueManagement`

### setIssueManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setIssueManagement(IssueManagement value)

  Sets the value of the issueManagement property.

  Parameters:
    `value` - allowed object is `IssueManagement`

### getCiManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public CiManagement getCiManagement()

  Gets the value of the ciManagement property.

  Returns:
    possible object is `CiManagement`

### setCiManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setCiManagement(CiManagement value)

  Sets the value of the ciManagement property.

  Parameters:
    `value` - allowed object is `CiManagement`

### getInceptionYear

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getInceptionYear()

  Gets the value of the inceptionYear property.

  Returns:
    possible object is `String`

### setInceptionYear

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setInceptionYear(String value)

  Sets the value of the inceptionYear property.

  Parameters:
    `value` - allowed object is `String`

### getMailingLists

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.MailingLists getMailingLists()

  Gets the value of the mailingLists property.

  Returns:
    possible object is `Model.MailingLists`

### setMailingLists

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setMailingLists(Model.MailingLists value)

  Sets the value of the mailingLists property.

  Parameters:
    `value` - allowed object is `Model.MailingLists`

### getDevelopers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Developers getDevelopers()

  Gets the value of the developers property.

  Returns:
    possible object is `Model.Developers`

### setDevelopers

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDevelopers(Model.Developers value)

  Sets the value of the developers property.

  Parameters:
    `value` - allowed object is `Model.Developers`

### getContributors

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Contributors getContributors()

  Gets the value of the contributors property.

  Returns:
    possible object is `Model.Contributors`

### setContributors

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setContributors(Model.Contributors value)

  Sets the value of the contributors property.

  Parameters:
    `value` - allowed object is `Model.Contributors`

### getLicenses

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Licenses getLicenses()

  Gets the value of the licenses property.

  Returns:
    possible object is `Model.Licenses`

### setLicenses

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setLicenses(Model.Licenses value)

  Sets the value of the licenses property.

  Parameters:
    `value` - allowed object is `Model.Licenses`

### getScm

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Scm getScm()

  Gets the value of the scm property.

  Returns:
    possible object is `Scm`

### setScm

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setScm(Scm value)

  Sets the value of the scm property.

  Parameters:
    `value` - allowed object is `Scm`

### getOrganization

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Organization getOrganization()

  Gets the value of the organization property.

  Returns:
    possible object is `Organization`

### setOrganization

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOrganization(Organization value)

  Sets the value of the organization property.

  Parameters:
    `value` - allowed object is `Organization`

### getBuild

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build getBuild()

  Gets the value of the build property.

  Returns:
    possible object is `Build`

### setBuild

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setBuild(Build value)

  Sets the value of the build property.

  Parameters:
    `value` - allowed object is `Build`

### getProfiles

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Profiles getProfiles()

  Gets the value of the profiles property.

  Returns:
    possible object is `Model.Profiles`

### setProfiles

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setProfiles(Model.Profiles value)

  Sets the value of the profiles property.

  Parameters:
    `value` - allowed object is `Model.Profiles`

### getModules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Modules getModules()

  Gets the value of the modules property.

  Returns:
    possible object is `Model.Modules`

### setModules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setModules(Model.Modules value)

  Sets the value of the modules property.

  Parameters:
    `value` - allowed object is `Model.Modules`

### getRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Repositories getRepositories()

  Gets the value of the repositories property.

  Returns:
    possible object is `Model.Repositories`

### setRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setRepositories(Model.Repositories value)

  Sets the value of the repositories property.

  Parameters:
    `value` - allowed object is `Model.Repositories`

### getPluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.PluginRepositories getPluginRepositories()

  Gets the value of the pluginRepositories property.

  Returns:
    possible object is `Model.PluginRepositories`

### setPluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPluginRepositories(Model.PluginRepositories value)

  Sets the value of the pluginRepositories property.

  Parameters:
    `value` - allowed object is `Model.PluginRepositories`

### getDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Dependencies getDependencies()

  Gets the value of the dependencies property.

  Returns:
    possible object is `Model.Dependencies`

### setDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencies(Model.Dependencies value)

  Sets the value of the dependencies property.

  Parameters:
    `value` - allowed object is `Model.Dependencies`

### getReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Reports getReports()

  Gets the value of the reports property.

  Returns:
    possible object is `Model.Reports`

### setReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReports(Model.Reports value)

  Sets the value of the reports property.

  Parameters:
    `value` - allowed object is `Model.Reports`

### getReporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Reporting getReporting()

  Gets the value of the reporting property.

  Returns:
    possible object is `Reporting`

### setReporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReporting(Reporting value)

  Sets the value of the reporting property.

  Parameters:
    `value` - allowed object is `Reporting`

### getDependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DependencyManagement getDependencyManagement()

  Gets the value of the dependencyManagement property.

  Returns:
    possible object is `DependencyManagement`

### setDependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencyManagement(DependencyManagement value)

  Sets the value of the dependencyManagement property.

  Parameters:
    `value` - allowed object is `DependencyManagement`

### getDistributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DistributionManagement getDistributionManagement()

  Gets the value of the distributionManagement property.

  Returns:
    possible object is `DistributionManagement`

### setDistributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDistributionManagement(DistributionManagement value)

  Sets the value of the distributionManagement property.

  Parameters:
    `value` - allowed object is `DistributionManagement`

### getProperties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Model.Properties getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `Model.Properties`

### setProperties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setProperties(Model.Properties value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `Model.Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.